Форум программистов, компьютерный форум CyberForum.ru

Добавить сторонний edittext - Программирование Android

Войти
Регистрация
Восстановить пароль
Другие темы раздела
Программирование Android Доброе дело под android: блокировка ввода с неправильной орфографией http://www.cyberforum.ru/android-dev/thread1799007.html
Предыстория: халтурю репетиторам, приходится общаться с детьми в онлайне порой. Уровень грамотности на нуле, последней каплей стало : "начнуться кантрольные и тогдалие". Убежден, что если бы в интернете у них не было бы выхода, как писать грамотно, от безысходности они бы и начали писать так, дабы от репетиторов по русскому многочасовых толку мало. Вот и решил написать приложение для...
Программирование Android При вставке в FrameLayout низ скрывается за кнопками народ помогите пожалуйста как можно сделать, чтобы при добавления фрагмента в FrameLayout, чтобы он не уходил ниже кнопок(стрелки назад, домой и т.д.), а был во весь свободный экран. <?xml version="1.0" encoding="utf-8"?> <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android" xmlns:tools="http://schemas.android.com/tools" ... http://www.cyberforum.ru/android-dev/thread1798941.html
Программирование Android Отладка по Wi-fi
Делаю по инструкции: 1.Подключите устройство и компьютер к одной и той же сети. 2.Приконектиться по USB. 3.Установите прослушку на TCP/IP и порт 5555. $ adb tcpip 5555 4.Отключите USB. 5.Найдите IP адрес девайса. К примеру, на Нексусах вы можете найти IP в Settings > About tablet (or About phone) > Status > IP address. 6.Присоединитесь к этому девайсу adb connect <device-ip-address>....
API 24 и RadioButton Программирование Android
Здравствуйте, дело в том, что при выборе API 24, Android Studio жалуется на RadioButton, но при с мене на более низкий API все ок, код самих RadioButton: <RadioGroup android:id="@+id/rgSort" android:layout_width="wrap_content" android:layout_height="wrap_content" android:orientation="vertical"> <RadioButton ...
Программирование Android Gradle в studio не подключает зависимости http://www.cyberforum.ru/android-dev/thread1798730.html
buildscript { repositories { jcenter() } dependencies { compile 'com.github.navasmdc:MaterialDesign:1.5@aar' И такая ошибка при любой зависимости Error:(9, 0) Could not find method compile() for arguments on object of type org.gradle.api.internal.artifacts.dsl.dependencies.DefaultDependencyHandler.
Программирование Android Передать dialogInterface во View В AlertDialog через setView устанавливаю форму с полями. Нужно по нажатию кнопки при правильно заполненной форме закрыть диалог, а при ошибке сообщить об ошибке, не закрывая диалог. Проблема в том, что стандартные setPositiveButton и др. кнопки закрывают диалог в любом случае, даже если у них в onClick не прописано ни cancel(), ни dismiss(). Я поставил кнопку на view, но не знаю, как передать в... подробнее

Показать сообщение отдельно
Mikalai
256 / 232 / 93
Регистрация: 11.01.2015
Сообщений: 651
26.08.2016, 16:41     Добавить сторонний edittext
qswd, поиск зависимости происходит в мавен централ, если я ничего не путаю. То есть если зависимость в окошке не находит, то это не значит что её нет ))

Вот новый проект сделал и подключил твою библиотеку:
билд.градл для всего проекта:
XML
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
// Top-level build file where you can add configuration options common to all sub-projects/modules.
 
buildscript {
    repositories {
        jcenter()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:2.1.3'
 
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}
 
allprojects {
    repositories {
        jcenter()
        maven {
            url "https://jitpack.io"
        }
    }
}
 
task clean(type: Delete) {
    delete rootProject.buildDir
}
билд.градл для модуля апп:
XML
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
apply plugin: 'com.android.application'
 
android {
    compileSdkVersion 24
    buildToolsVersion "24.0.0"
 
    defaultConfig {
        applicationId "com.cyberforum.dependenciestest"
        minSdkVersion 15
        targetSdkVersion 24
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}
 
dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    testCompile 'junit:junit:4.12'
    compile 'com.android.support:appcompat-v7:24.2.0'
    compile 'com.github.scottyab:showhidepasswordedittext:0.8'
}
 
КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Рейтинг@Mail.ru